------------------------------------------------------------------------------
--                                                                          --
--                            GLADE COMPONENTS                              --
--                                                                          --
--      S Y S T E M . G A R L I C . P L A T F O R M _ S P E C I F I C       --
--                                                                          --
--                                 S p e c                                  --
--                                                                          --
--                            $Revision: 1.15 $
--                                                                          --
--         Copyright (C) 1996-2001 Free Software Foundation, Inc.           --
--                                                                          --
-- GARLIC is free software;  you can redistribute it and/or modify it under --
-- terms of the  GNU General Public License  as published by the Free Soft- --
-- ware Foundation;  either version 2,  or (at your option)  any later ver- --
-- sion.  GARLIC is distributed  in the hope that  it will be  useful,  but --
-- WITHOUT ANY WARRANTY;  without even the implied warranty of MERCHANTABI- --
-- LITY or  FITNESS FOR A PARTICULAR PURPOSE.  See the  GNU General Public  --
-- License  for more details.  You should have received  a copy of the GNU  --
-- General Public License  distributed with GARLIC;  see file COPYING.  If  --
-- not, write to the Free Software Foundation, 59 Temple Place - Suite 330, --
-- Boston, MA 02111-1307, USA.                                              --
--                                                                          --
--
--
--
--
--
--
--
--               GLADE  is maintained by ACT Europe.                        --
--               (email: glade-report@act-europe.fr)                        --
--                                                                          --
------------------------------------------------------------------------------

package System.Garlic.Platform_Specific is

   --  This package contains the system specific characteristics that have
   --  been checked at configuration time.

   pragma Pure;

   Process_Blocking_IO    : constant Boolean :=
     False;

   Support_RPC_Abortion   : constant Boolean :=
     True;

   Supports_Local_Launch  : constant Boolean :=
     True;

   Platform_Name          : constant String  :=
     "linux";

   Default_Protocol_Name  : constant String  :=
     "tcp";

   Default_Protocol_Data  : constant String  :=
     "localhost:5763";

   Default_Storage_Data : constant String  :=
     "";

   Default_Storage_Name : constant String  :=
     "dfs";

   Rsh_Command          : constant String  :=
     "rsh";

   Rsh_Options          : constant String  :=
     "-n";

end System.Garlic.Platform_Specific;
